Bug 1465 - xfig-3.2.2-1 missing contents of Libraries directory
xfig-3.2.2-1 missing contents of Libraries directory
Product: Red Hat Linux
Classification: Retired
Component: xfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Maher
Depends On:
  Show dependency treegraph
Reported: 1999-03-09 21:21 EST by deanm
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-03-26 11:44:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description deanm 1999-03-09 21:21:20 EST
There is a problem with the .rpm for
xfig-3.2.2-1. Specifically it creates the
`/usr/X11R6/lib/X11/xfig/Libraries' directory but
then never loads into it the wealth of examples that
are provided in the source dist.  In fact these
exmaples are nowhere to be found in the .rpm.

I think I have traced the bug to the
`xfig-3.2.2-config.patch' file following the
`@echo "Copying Fig Object Libraries"' line toward the end.
All the "DESTDIR" macros have been typed "DESTDIRR".
This seems to have the effect of causing the stuff in
the Libraries directory to be loaded into
`/usr/X11R6/lib/X11/xfig/Libraries' on the build
machine rather than into the temporary dir. structure
from which the .rpm is generated.

But I am an .rpm novice and so this may be incorrect.
Anyway, there is a bug that needs to be fixed.
Comment 1 Preston Brown 1999-03-26 10:47:59 EST
Mike, you recently tested this package.  If you didn't fix this then,
can you please do so now, and close this bug when finished?
Comment 2 Mike Maher 1999-03-26 11:44:59 EST
this problem is fixed in the latest version of the package.

Note You need to log in before you can comment on or make changes to this bug.